# Enrich dispute representment

This method allows you to enrich dispute representment with additional content.

Endpoint: POST /dispute-representments/enrich
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Request fields (application/json):

  - `body` (object) — one of (discriminator: dispute_type):
    - card:
      - `dispute_type` (string, required)
        Type of represented dispute.
        Enum: "card"
      - `dispute_id` (string, required)
        Identifier of the represented dispute that corresponds to the orders chargebacks id in chargebacks.
      - `enrichment` (object, required)
        Additional enrichment content for dispute representment.
      - `enrichment.proof_of_communication` (array)
        Emails, chat logs, or support tickets showing cardholder interaction.
      - `enrichment.proof_of_communication.file_id` (string, required)
        Unique identifier of the enrichment content file.


  Should be provided one of extensions jpg, jpeg, png. File size does not exceed 0.5 MB (524288 bytes).
      - `enrichment.proof_of_communication.annotation` (string)
        Annotation for the enrichment file.
      - `enrichment.application_logs` (array)
        System logs providing technical evidence of the transaction or user activity.
      - `enrichment.proof_of_delivery` (array)
        Shipping confirmations, tracking info, or signed delivery receipts.
      - `enrichment.invoice` (array)
        Invoice documents with itemized charges and billing details.
      - `enrichment.receipts` (array)
        Transaction receipts or payment confirmations.
      - `enrichment.other` (array)
        Additional supporting documents not covered by other categories.
      - `submit` (boolean)
        Submit the dispute representment after including provided enrichment content. 
If set to false, the representment file with enrichment content will be created, 
but not submitted immediately.
    - paypal:
      - `dispute_type` (string, required)
        Type of represented dispute.
        Enum: "paypal"
      - `dispute_id` (string, required)
        Identifier of the represented dispute that corresponds to the dispute_id parameter in PayPal disputes.
      - `enrichment` (object, required)
        Additional enrichment content for dispute representment.
      - `enrichment.proof_of_communication` (array)
        Emails, chat logs, or support tickets showing cardholder interaction.
      - `enrichment.proof_of_communication.file_id` (string, required)
        Unique identifier of the enrichment content file.


  Should be provided one of extensions jpg, jpeg, png. File size does not exceed 0.5 MB (524288 bytes).
      - `enrichment.proof_of_communication.annotation` (string)
        Annotation for the enrichment file.
      - `enrichment.application_logs` (array)
        System logs providing technical evidence of the transaction or user activity.
      - `enrichment.proof_of_delivery` (array)
        Shipping confirmations, tracking info, or signed delivery receipts.
      - `enrichment.invoice` (array)
        Invoice documents with itemized charges and billing details.
      - `enrichment.receipts` (array)
        Transaction receipts or payment confirmations.
      - `enrichment.other` (array)
        Additional supporting documents not covered by other categories.
      - `submit` (boolean)
        Submit the dispute representment after including provided enrichment content. 
If set to false, the representment file with enrichment content will be created, 
but not submitted immediately.

## Response 200 fields (application/json):

  - `body` (object)
    - `error` (object, required)
      Error object.
    - `error.code` (string, required)
      Unauthorized access due to invalid credentials.
      Example: "1.01"
    - `error.messages` (array, required)
      Array of error messages applied to the decline payment.
      Example: ["Authentication failed"]

## Response 400 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.
    Example: "2.01"

  - `error.message` (string, required)
    Error message.
    Example: "Validation error"

  - `error.constraints` (object)
    Map of constraints.

## Response 404 fields (application/json):

  - `error` (object, required) — one of (discriminator: code):
    Error object.
    - 2.01 Dispute not found:
      - `message` (string, required)
        Dispute not found.


Specified dispute not found in the system.
    - 2.01 File not found:
      - `message` (string, required)
        File not found.


File with provided ID not found.

  - `error.code` (string)

## Response 422 fields (application/json):

  - `error` (object, required) — one of (discriminator: code):
    Error object.
    - 2.01 File not ready:
      - `message` (string, required)
        File not ready.


  File object was created, but its content uploaded was not completed yet.
    - 2.01 File size exceeded:
      - `message` (string, required)
        File size exceeded.


  Evidence file size exceeds the limit for the requested dispute type.
    - 2.01 Total files size exceeded:
      - `message` (string, required)
        Total files size exceeded.


  Total size of evidence enrichment files exceeds the limit for the requested dispute.
    - 2.01 File type not supported:
      - `message` (string, required)
        File type not supported.


  Evidence file type is not suitable for dispute representment.
    - 2.01 Enrichment not possible:
      - `message` (string, required)
        Representment enrichment not possible.


  The representment enrichment is not possible due to the current state of the dispute representment.

  - `error.code` (string)


